Name: pdfedit
Version: 0.4.1
Release: alt3.qa1

Summary: Editor for manipulating PDF documents
License: GPL
Group: File tools

Url: http://pdfedit.petricek.net
Source0: %name-%version.tar.bz2
Source1: %name.desktop
Patch0: pdfedit-0.4.1-alt-fontpath.patch
Patch1: pdfedit-0.4.1-boost-lib-param.patch
Packager: Michael Shigorin <mike@altlinux.org>

Requires: fonts-type1-urw

# Automatically added by buildreq on Sun Mar 18 2007
BuildRequires: boost-iostreams-devel doxygen gcc-c++ imake libXp-devel libXpm-devel libXt-devel libpaper-devel libqt3-devel t1lib-devel xorg-cf-files

%{?!_desktopdir:%define _desktopdir %_datadir/applications}

%description
Complete editing of pdf documents is made possible with PDFedit.
You can change either raw pdf objects (for advanced users) or use
predefined gui functions. Functions can be easily added as everything
is based on a scripts.

Scripting is used to a great extent in editor and almost anything can
be scripted, it is possible to create own scripts or plugins.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
sed -i 's,bin/qmake,& "CONFIG+=no_fixpath",' src/Makefile

%build
unset QTDIR || : ; . /etc/profile.d/qt3dir.sh ; PATH=$PATH:$QTDIR/bin
# see README
autoconf
%configure \
	--enable-stack-protector \
	--with-root-dir=%buildroot \
	--with-boost-lib=%_libdir \
	--docdir='$(datarootdir)/doc/$(package_name)-$(version)'
%make

%install
unset QTDIR || : ; . /etc/profile.d/qt3dir.sh ; PATH=$PATH:$QTDIR/bin
%make_install DESTDIR=%buildroot install
install -pD -m644 %SOURCE1 %buildroot%_desktopdir/%name.desktop

%postun -n pdfedit
%clean_menus


%post -n pdfedit
%update_menus


%files
%_bindir/*
%_datadir/%name/
%_desktopdir/*
%_man1dir/*
%doc Changelog README

%changelog
* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt3.qa1
- NMU (by repocop): the following fixes applied:
 * update_menus for pdfedit

* Mon Mar 10 2008 Michael Shigorin <mike@altlinux.org> 0.4.1-alt3
- replaced Damir's subst with a patch proposed by 
  Michal Hocko <mstsxfx/gmail>

* Thu Mar 06 2008 Michael Shigorin <mike@altlinux.org> 0.4.1-alt2
- fixed x86_64 build, thanks damir@

* Wed Feb 27 2008 Michael Shigorin <mike@altlinux.org> 0.4.1-alt1
- 0.4.1
- added fontpath patch; thanks Slava Dikonov (slava@) for investigation:
  https://bugzilla.altlinux.org/show_bug.cgi?id=13473#c3
- danced with installation the other way around
- spec cleanup

* Wed Nov 28 2007 Michael Shigorin <mike@altlinux.org> 0.3.2-alt1
- 0.3.2 (now should actually work, see #13473)

* Mon Mar 19 2007 Michael Shigorin <mike@altlinux.org> 0.2.5-alt1
- built for ALT Linux
- desktop file and package description borrowed from Debian
- huge thanks to zerg@ and wrar@ for undocumented qmake hint
